from llama_index.tools.database import DatabaseToolSpec
from llama_index.packs.agents_llm_compiler import LLMCompilerAgentPack
from llama_index.llms.openai import OpenAI

db_tools = DatabaseToolSpec(uri="sqlite:///pliki//baza danych//employees.db")
llm = OpenAI(model="gpt-4")
agent = LLMCompilerAgentPack(db_tools.to_tool_list(), llm=llm)

response = agent.run(
    "Podaj pracownika działu HR "
    "z najwyższym wynagrodzeniem."
)

